flock_lock_file_wait
Prev | File Locks | Next

## Name

flock_lock_file_wait — Apply a FLOCK-style lock to a file

## Synopsis

`int flock_lock_file_wait (` | struct file * | filp,
| struct file_lock * | fl`)`;

## Arguments

`filp`

  The file to apply the lock to

`fl`

  The lock to be applied

## Description

Add a FLOCK style lock to a file.

Prev | Up | Next
generic_setlease | Home | vfs_test_lock